Bug 878929 - [RFE] [vdsm] [TEXT] please add additional logs to connectStoragePool (like when reading metadata in NFS)
[RFE] [vdsm] [TEXT] please add additional logs to connectStoragePool (like wh...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 09:58 EST by Haim
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 14:42:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-11-21 09:58:50 EST
Description of problem:

please add additional logging to connectStoragePool, for example, print metadata of master domain upon reading\writing:


Thread-78::INFO::2012-11-20 22:26:32,814::logUtils::37::dispatcher::(wrapper) Run and protect: connectStoragePool(spUUID='96d1b5db-4798-4284-b355-822980dc120d', hostID=1, scsiKey='96d1b5db-4798-4284-b355-822980dc120d', msdUUID='25a0b810-c6a9-48cc-9f11-9ed816c7648a', masterVersion=1, options=None)
Thread-78::DEBUG::2012-11-20 22:26:32,815::resourceManager::175::ResourceManager.Request::(__init__) ResName=`Storage.96d1b5db-4798-4284-b355-822980dc120d`ReqID=`cc2dff1d-7f66-431e-af90-b6a0e2ea33d0`::Request was made in '/usr/share/vdsm/storage/resourceManager.py' line '485' at 'registerResource'
Thread-78::DEBUG::2012-11-20 22:26:32,815::resourceManager::486::ResourceManager::(registerResource) Trying to register resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d' for lock type 'exclusive'
Thread-78::DEBUG::2012-11-20 22:26:32,816::resourceManager::528::ResourceManager::(registerResource) Resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d' is free. Now locking as 'exclusive' (1 active user)
Thread-78::DEBUG::2012-11-20 22:26:32,816::resourceManager::212::ResourceManager.Request::(grant) ResName=`Storage.96d1b5db-4798-4284-b355-822980dc120d`ReqID=`cc2dff1d-7f66-431e-af90-b6a0e2ea33d0`::Granted request
Thread-78::INFO::2012-11-20 22:26:32,816::sp::632::Storage.StoragePool::(connect) Connect host #1 to the storage pool 96d1b5db-4798-4284-b355-822980dc120d with master domain: 25a0b810-c6a9-48cc-9f11-9ed816c7648a (ver = 1)
Thread-78::ERROR::2012-11-20 22:26:32,817::sp::1525::Storage.StoragePool::(getMasterDomain) Requested master domain 25a0b810-c6a9-48cc-9f11-9ed816c7648a is not a master domain at all
Thread-78::DEBUG::2012-11-20 22:26:32,818::resourceManager::538::ResourceManager::(releaseResource) Trying to release resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d'
Thread-78::DEBUG::2012-11-20 22:26:32,818::resourceManager::553::ResourceManager::(releaseResource) Released resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d' (0 active users)
Thread-78::DEBUG::2012-11-20 22:26:32,818::resourceManager::558::ResourceManager::(releaseResource) Resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d' is free, finding out if anyone is waiting for it.
Thread-78::DEBUG::2012-11-20 22:26:32,818::resourceManager::565::ResourceManager::(releaseResource) No one is waiting for resource 'Storage.96d1b5db-4798-4284-b355-822980dc120d', Clearing records.
Thread-78::ERROR::2012-11-20 22:26:32,819::task::853::TaskManager.Task::(_setError) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::Unexpected error
Thread-78::DEBUG::2012-11-20 22:26:32,822::task::872::TaskManager.Task::(_run) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::Task._run: bcbf77f1-1382-4483-96f9-4390624f31ad ('96d1b5db-4798-4284-b355-822980dc120d', 1, '96d1b5db-4798-4284-b355-822980dc120d', '25a0b810-c6a9-48cc-9f11-9ed816c7648a', 1) {} failed - stopping task
Thread-78::DEBUG::2012-11-20 22:26:32,822::task::1199::TaskManager.Task::(stop) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::stopping in state preparing (force False)
Thread-78::DEBUG::2012-11-20 22:26:32,822::task::978::TaskManager.Task::(_decref) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::ref 1 aborting True
Thread-78::INFO::2012-11-20 22:26:32,823::task::1157::TaskManager.Task::(prepare) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::aborting: Task is aborted: 'Wrong Master domain or its version' - code 324
Thread-78::DEBUG::2012-11-20 22:26:32,823::task::1162::TaskManager.Task::(prepare) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::Prepare: aborted: Wrong Master domain or its version
Thread-78::DEBUG::2012-11-20 22:26:32,823::task::978::TaskManager.Task::(_decref) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::ref 0 aborting True
Thread-78::DEBUG::2012-11-20 22:26:32,823::task::913::TaskManager.Task::(_doAbort) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::Task._doAbort: force False
Thread-78::DEBUG::2012-11-20 22:26:32,824::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-78::DEBUG::2012-11-20 22:26:32,824::task::588::TaskManager.Task::(_updateState) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::moving from state preparing -> state aborting
Thread-78::DEBUG::2012-11-20 22:26:32,824::task::537::TaskManager.Task::(__state_aborting) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::_aborting: recover policy none
Thread-78::DEBUG::2012-11-20 22:26:32,825::task::588::TaskManager.Task::(_updateState) Task=`bcbf77f1-1382-4483-96f9-4390624f31ad`::moving from state aborting -> state failed
Thread-78::DEBUG::2012-11-20 22:26:32,825::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-78::DEBUG::2012-11-20 22:26:32,825::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-78::ERROR::2012-11-20 22:26:32,825::dispatcher::66::Storage.Dispatcher.Protect::(run) {'status': {'message': "Wrong Master domain or its version: 'SD=25a0b810-c6a9-48cc-9f11-9ed816c7648a, pool=96d1b5db-4798-4284-b355-822980dc120d'", 'code': 324}}
Thread-78::DEBUG::2012-11-20 23:06:15,347::BindingXMLRPC::171::vds::(wrapper) [10.35.70.33]
Thread-78::DEBUG::2012-11-20 23:06:15,355::task::588::TaskManager.Task::(_updateState) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::moving from state init -> state preparing
Thread-78::INFO::2012-11-20 23:06:15,356::logUtils::37::dispatcher::(wrapper) Run and protect: getSpmStatus(spUUID='96d1b5db-4798-4284-b355-822980dc120d', options=None)
Thread-78::ERROR::2012-11-20 23:06:15,356::task::853::TaskManager.Task::(_setError) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::Unexpected error
Thread-78::DEBUG::2012-11-20 23:06:15,357::task::872::TaskManager.Task::(_run) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::Task._run: 079b9307-cf73-4783-acf0-cfbee789350e ('96d1b5db-4798-4284-b355-822980dc120d',) {} failed - stopping task
Thread-78::DEBUG::2012-11-20 23:06:15,357::task::1199::TaskManager.Task::(stop) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::stopping in state preparing (force False)
Thread-78::DEBUG::2012-11-20 23:06:15,357::task::978::TaskManager.Task::(_decref) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::ref 1 aborting True
Thread-78::INFO::2012-11-20 23:06:15,358::task::1157::TaskManager.Task::(prepare) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::aborting: Task is aborted: 'Unknown pool id, pool not connected' - code 309
Thread-78::DEBUG::2012-11-20 23:06:15,358::task::1162::TaskManager.Task::(prepare) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::Prepare: aborted: Unknown pool id, pool not connected
Thread-78::DEBUG::2012-11-20 23:06:15,358::task::978::TaskManager.Task::(_decref) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::ref 0 aborting True
Thread-78::DEBUG::2012-11-20 23:06:15,358::task::913::TaskManager.Task::(_doAbort) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::Task._doAbort: force False
Thread-78::DEBUG::2012-11-20 23:06:15,359::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-78::DEBUG::2012-11-20 23:06:15,359::task::588::TaskManager.Task::(_updateState) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::moving from state preparing -> state aborting
Thread-78::DEBUG::2012-11-20 23:06:15,359::task::537::TaskManager.Task::(__state_aborting) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::_aborting: recover policy none
Thread-78::DEBUG::2012-11-20 23:06:15,360::task::588::TaskManager.Task::(_updateState) Task=`079b9307-cf73-4783-acf0-cfbee789350e`::moving from state aborting -> state failed
Thread-78::DEBUG::2012-11-20 23:06:15,360::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-78::DEBUG::2012-11-20 23:06:15,360::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-78::ERROR::2012-11-20 23:06:15,360::dispatcher::66::Storage.Dispatcher.Protect::(run) {'status': {'message': "Unknown pool id, pool not connected: ('96d1b5db-4798-4284-b355-822980dc120d',)", 'code': 309}}
Comment 1 Itamar Heim 2013-12-01 05:16:01 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.